Index: configure.ac
===================================================================
--- configure.ac	(revision 2062e489d684e82ec7cd5e0994fc39f96b353eb2)
+++ configure.ac	(revision b511fa9c8a005c964a817eed7278f0600afd6f08)
@@ -143,9 +143,9 @@
 AC_PATH_PROG(PKG_CONFIG,pkg-config,no)
 
-PKG_CHECK_MODULES(SNDLIB,     sndfile >= 1.0.4,       SNDLIB_SUPPORT=1)
-PKG_CHECK_MODULES(SAMPLERATE, samplerate  >= 0.0.15,  SAMPLERATE_SUPPORT=1)
-
-if test "${SNDLIB_SUPPORT}" = "1"; then
-  AC_DEFINE(SNDLIB_SUPPORT,1,[Define to enable libsndfile support])
+PKG_CHECK_MODULES(SNDLIB,     sndfile >= 1.0.4,       HAVE_SNDLIB=1)
+PKG_CHECK_MODULES(SAMPLERATE, samplerate  >= 0.0.15,  HAVE_SAMPLERATE=1)
+
+if test "${HAVE_SNDLIB}" = "1"; then
+  AC_DEFINE(HAVE_SNDLIB,1,[Define to enable libsndfile support])
 fi
 
@@ -156,16 +156,16 @@
   with_fftw3f="yes")
 if test "$with_fftw3f" = "yes"; then
-  PKG_CHECK_MODULES(FFTWLIB,    fftw3f >= 3.0.0,     FFTW3F_SUPPORT=1, FFTW3F_SUPPORT=0)
-else
-  PKG_CHECK_MODULES(FFTWLIB,    fftw3  >= 3.0.0,     FFTW3_SUPPORT=1)
-fi
-if test "${FFTW3F_SUPPORT}" = "0"; then
-  PKG_CHECK_MODULES(FFTWLIB,    fftw3  >= 3.0.0,     FFTW3_SUPPORT=1)
-fi
-if test "${FFTW3_SUPPORT}" = "1"; then
-  AC_DEFINE(FFTW3_SUPPORT,1,[Define to enable fftw3 support])
-fi
-if test "${FFTW3F_SUPPORT}" = "1"; then
-  AC_DEFINE(FFTW3F_SUPPORT,1,[Define to enable fftw3f support])
+  PKG_CHECK_MODULES(FFTWLIB,    fftw3f >= 3.0.0,     HAVE_FFTW3F=1, HAVE_FFTW3F=0)
+else
+  PKG_CHECK_MODULES(FFTWLIB,    fftw3  >= 3.0.0,     HAVE_FFTW3=1)
+fi
+if test "${HAVE_FFTW3F}" = "0"; then
+  PKG_CHECK_MODULES(FFTWLIB,    fftw3  >= 3.0.0,     HAVE_FFTW3=1)
+fi
+if test "${HAVE_FFTW3}" = "1"; then
+  AC_DEFINE(HAVE_FFTW3,1,[Define to enable fftw3 support])
+fi
+if test "${HAVE_FFTW3F}" = "1"; then
+  AC_DEFINE(HAVE_FFTW3F,1,[Define to enable fftw3f support])
 fi
 
@@ -177,7 +177,7 @@
 if test "$with_jack" = "yes"
 then
-  PKG_CHECK_MODULES(JACK,       jack  >= 0.15.0,     JACK_SUPPORT=1, JACK_SUPPORT=0)
-  if test "${JACK_SUPPORT}" = "1"; then
-    AC_DEFINE(JACK_SUPPORT,1,[Define to enable jack support])
+  PKG_CHECK_MODULES(JACK,       jack  >= 0.15.0,     HAVE_JACK=1, HAVE_JACK=0)
+  if test "${HAVE_JACK}" = "1"; then
+    AC_DEFINE(HAVE_JACK,1,[Define to enable jack support])
   fi
 fi
@@ -192,7 +192,7 @@
   if test "$with_jack" = "yes"
   then
-    PKG_CHECK_MODULES(ALSA,      alsa >= 0.0.9,      ALSA_SUPPORT=1, ALSA_SUPPORT=0)
-    if test "${ALSA_SUPPORT}" = "1"; then
-      AC_DEFINE(ALSA_SUPPORT,1,[Define to enable alsa support])
+    PKG_CHECK_MODULES(ALSA,      alsa >= 0.0.9,      HAVE_ALSA=1, HAVE_ALSA=0)
+    if test "${HAVE_ALSA}" = "1"; then
+      AC_DEFINE(HAVE_ALSA,1,[Define to enable alsa support])
     fi
   else
@@ -208,7 +208,7 @@
 if test "$with_lash" = "yes"
 then
-  PKG_CHECK_MODULES(LASH,   lash-1.0 >= 0.5.0,   LASH_SUPPORT=1, LASH_SUPPORT=0)
-  if test "${LASH_SUPPORT}" = "1"; then
-    LASH_CFLAGS+="-DLASH_SUPPORT"
+  PKG_CHECK_MODULES(LASH,   lash-1.0 >= 0.5.0,   HAVE_LASH=1, HAVE_LASH=0)
+  if test "${HAVE_LASH}" = "1"; then
+    LASH_CFLAGS+="-DHAVE_LASH"
   fi
 fi
@@ -270,8 +270,8 @@
 echo "**************************************************************"
 echo "Summary:"
-if test "${FFTW3F_SUPPORT}" = "1"; then
+if test "${HAVE_FFTW3F}" = "1"; then
   echo "Fftw3:                   yes (using fftw3f)"
 else
-if test "${FFTW3_SUPPORT}" = "1"; then
+if test "${HAVE_FFTW3}" = "1"; then
   echo "Fftw3:                   yes (not using fftw3f)"
 else
@@ -279,25 +279,25 @@
 fi
 fi
-if test "${SNDLIB_SUPPORT}" = "1"; then
+if test "${HAVE_SNDLIB}" = "1"; then
   echo "Libsndfile:              yes"
 else
   echo "Libsndfile:              no"
 fi
-if test "${SAMPLERATE_SUPPORT}" = "1"; then
+if test "${HAVE_SAMPLERATE}" = "1"; then
   echo "Libsamplerate:           yes"
 else
   echo "Libsamplerate:           no"
 fi
-if test "${JACK_SUPPORT}" = "1"; then
+if test "${HAVE_JACK}" = "1"; then
   echo "JACK:                    yes"
 else
   echo "JACK:                    no"
 fi
-if test "${ALSA_SUPPORT}" = "1"; then
+if test "${HAVE_ALSA}" = "1"; then
   echo "ALSA midi:               yes"
 else
   echo "ALSA midi:               no"
 fi
-if test "${LASH_SUPPORT}" = "1"; then
+if test "${HAVE_LASH}" = "1"; then
   echo "Lash:                    yes"
 else
Index: examples/utils.c
===================================================================
--- examples/utils.c	(revision 2062e489d684e82ec7cd5e0994fc39f96b353eb2)
+++ examples/utils.c	(revision b511fa9c8a005c964a817eed7278f0600afd6f08)
@@ -2,6 +2,6 @@
 #include "aubio.h"
 
-#ifndef JACK_SUPPORT
-#define JACK_SUPPORT 0
+#ifndef HAVE_JACK
+#define HAVE_JACK 0
 #endif
 
@@ -13,5 +13,5 @@
 #include "utils.h"
 
-#ifdef LASH_SUPPORT
+#ifdef HAVE_LASH
 #include <lash/lash.h>
 #include <pthread.h>
@@ -23,5 +23,5 @@
 void restore_data(lash_config_t * lash_config);
 pthread_t lash_thread;
-#endif /* LASH_SUPPORT */
+#endif /* HAVE_LASH */
 
 /* settings */
@@ -131,7 +131,7 @@
                 {NULL       , 0, NULL, 0}
         };
-#ifdef LASH_SUPPORT
+#ifdef HAVE_LASH
         lash_args = lash_extract_args(&argc, &argv);
-#endif /* LASH_SUPPORT */
+#endif /* HAVE_LASH */
         prog_name = argv[0];
         if( argc < 1 ) {
@@ -238,5 +238,5 @@
                 debug ("Output file : %s\n", output_filename );
         } else {
-                if (JACK_SUPPORT)
+                if (HAVE_JACK)
                 {
                         debug ("Jack input output\n");
@@ -288,5 +288,5 @@
       fileout = new_aubio_sndfile_wo(file, output_filename);
   }
-#ifdef LASH_SUPPORT
+#ifdef HAVE_LASH
   else {
     aubio_lash_client = lash_init(lash_args, argv[0],
@@ -304,5 +304,5 @@
     }
   }
-#endif /* LASH_SUPPORT */
+#endif /* HAVE_LASH */
 
   ibuf      = new_fvec(overlap_size, channels);
@@ -360,5 +360,5 @@
 void examples_common_process(aubio_process_func_t process_func, aubio_print_func_t print ){
   if(usejack) {
-#if JACK_SUPPORT
+#if HAVE_JACK
     aubio_jack_t * jack_setup;
     debug("Jack init ...\n");
@@ -432,5 +432,5 @@
     smpl_t mpitch = floor(aubio_freqtomidi(pitch)+.5);
     /* we should check if we use midi here, not jack */
-#if ALSA_SUPPORT
+#if HAVE_ALSA
     if (usejack) {
         if (velo==0) {
@@ -474,5 +474,5 @@
 }
 
-#if LASH_SUPPORT
+#if HAVE_LASH
 
 void * lash_thread_main(void *data __attribute__((unused)))
@@ -543,4 +543,4 @@
 }
 
-#endif /* LASH_SUPPORT */
-
+#endif /* HAVE_LASH */
+
Index: examples/utils.h
===================================================================
--- examples/utils.h	(revision 2062e489d684e82ec7cd5e0994fc39f96b353eb2)
+++ examples/utils.h	(revision b511fa9c8a005c964a817eed7278f0600afd6f08)
@@ -52,7 +52,7 @@
 void examples_common_del(void);
 typedef void (aubio_print_func_t)(void);
-#ifndef JACK_SUPPORT
+#ifndef HAVE_JACK
 typedef int (*aubio_process_func_t)
-        (smpl_t **input, smpl_t **output, int nframes);
+        (float **input, float **output, int nframes);
 #endif
 void examples_common_process(aubio_process_func_t process_func, aubio_print_func_t print);
Index: ext/aubioext.h
===================================================================
--- ext/aubioext.h	(revision 2062e489d684e82ec7cd5e0994fc39f96b353eb2)
+++ ext/aubioext.h	(revision b511fa9c8a005c964a817eed7278f0600afd6f08)
@@ -28,7 +28,11 @@
 #include <aubio.h>
  
-#ifdef JACK_SUPPORT
+#ifdef HAVE_JACK
 #include "jackio.h"
 #endif 
+
+#if HAVE_ALSA
+#define ALSA_SUPPORT 1
+#endif
 
 #include "sndfileio.h"
Index: ext/jackio.c
===================================================================
--- ext/jackio.c	(revision 2062e489d684e82ec7cd5e0994fc39f96b353eb2)
+++ ext/jackio.c	(revision b511fa9c8a005c964a817eed7278f0600afd6f08)
@@ -19,5 +19,5 @@
 
 #include "config.h"
-#ifdef JACK_SUPPORT
+#ifdef HAVE_JACK
 #include <jack/jack.h>
 #include "aubio_priv.h"
@@ -173,3 +173,3 @@
 
 
-#endif /* JACK_SUPPORT */
+#endif /* HAVE_JACK */
Index: ext/jackio.h
===================================================================
--- ext/jackio.h	(revision 2062e489d684e82ec7cd5e0994fc39f96b353eb2)
+++ ext/jackio.h	(revision b511fa9c8a005c964a817eed7278f0600afd6f08)
@@ -35,5 +35,5 @@
 typedef struct _aubio_jack_t aubio_jack_t;
 /** jack process function */
-typedef int (*aubio_process_func_t)(smpl_t **input, smpl_t **output, int
+typedef int (*aubio_process_func_t)(float **input, float **output, int
     nframes);
 
Index: ext/midi/midi_driver.h
===================================================================
--- ext/midi/midi_driver.h	(revision 2062e489d684e82ec7cd5e0994fc39f96b353eb2)
+++ ext/midi/midi_driver.h	(revision b511fa9c8a005c964a817eed7278f0600afd6f08)
@@ -50,8 +50,8 @@
 void aubio_midi_driver_settings(aubio_settings_t* settings);
 
-#include "config.h"
-#if JACK_SUPPORT
+#include "aubioext.h"
+#if HAVE_JACK 
 void aubio_midi_direct_output(aubio_midi_driver_t * dev, aubio_midi_event_t * event); 
-#endif
+#endif /* HAVE_JACK */
 
 #endif  /* _AUBIO_AUDRIVER_H */
Index: src/aubio_priv.h
===================================================================
--- src/aubio_priv.h	(revision 2062e489d684e82ec7cd5e0994fc39f96b353eb2)
+++ src/aubio_priv.h	(revision b511fa9c8a005c964a817eed7278f0600afd6f08)
@@ -33,5 +33,5 @@
  */
 
-#if HAVE_CONFIG_H
+#if 1 //HAVE_CONFIG_H
 #include "config.h"
 #endif
@@ -58,5 +58,5 @@
 #endif
 
-#if HAVE_STRINGS_H
+#if HAVE_STRING_H
 #include <string.h>
 #endif
Index: src/mathutils.c
===================================================================
--- src/mathutils.c	(revision 2062e489d684e82ec7cd5e0994fc39f96b353eb2)
+++ src/mathutils.c	(revision b511fa9c8a005c964a817eed7278f0600afd6f08)
@@ -419,8 +419,8 @@
 
 void aubio_cleanup(void) {
-#if FFTW3_SUPPORT
+#if HAVE_FFTW3
   fftw_cleanup();
 #else
-#if FFTW3F_SUPPORT
+#if HAVE_FFTW3F
   fftwf_cleanup();
 #endif
Index: src/spectral/fft.c
===================================================================
--- src/spectral/fft.c	(revision 2062e489d684e82ec7cd5e0994fc39f96b353eb2)
+++ src/spectral/fft.c	(revision b511fa9c8a005c964a817eed7278f0600afd6f08)
@@ -24,5 +24,5 @@
 #include "spectral/fft.h"
 
-#if FFTW3F_SUPPORT
+#if HAVE_FFTW3F
 #define fftw_malloc            fftwf_malloc
 #define fftw_free              fftwf_free
@@ -35,5 +35,5 @@
 #endif
 
-#if FFTW3F_SUPPORT
+#if HAVE_FFTW3F
 #if !AUBIO_SINGLE_PRECISION 
 #warning "Using aubio in double precision with fftw3 in single precision"
Index: src/spectral/fft.h
===================================================================
--- src/spectral/fft.h	(revision 2062e489d684e82ec7cd5e0994fc39f96b353eb2)
+++ src/spectral/fft.h	(revision b511fa9c8a005c964a817eed7278f0600afd6f08)
@@ -32,5 +32,5 @@
 
 #ifdef HAVE_COMPLEX_H
-#if FFTW3F_SUPPORT
+#if HAVE_FFTW3F
 #define FFTW_TYPE fftwf_complex
 #else
@@ -38,5 +38,5 @@
 #endif
 #else
-#if FFTW3F_SUPPORT
+#if HAVE_FFTW3F
 /** fft data type */
 #define FFTW_TYPE float
Index: tests/src/test-phasevoc-jack.c
===================================================================
--- tests/src/test-phasevoc-jack.c	(revision 2062e489d684e82ec7cd5e0994fc39f96b353eb2)
+++ tests/src/test-phasevoc-jack.c	(revision b511fa9c8a005c964a817eed7278f0600afd6f08)
@@ -21,5 +21,5 @@
 aubio_pvoc_t * pv;
 
-#ifdef JACK_SUPPORT
+#ifdef HAVE_JACK
 aubio_jack_t * jack_setup;
 #endif
@@ -43,5 +43,5 @@
         printf("computed backard\n");
 
-#ifdef JACK_SUPPORT
+#ifdef HAVE_JACK
         jack_setup  = new_aubio_jack(channels, channels,
                         (aubio_process_func_t)aubio_process);
